GuidesRecipesAPI ReferenceChangelog
API Reference

Create Quote

Creates a quote.

Quote creation

Quotes can be created for a Bank or a Customer.

To create quotes for your Bank, omit the customer_guid parameter in the request body. To create quotes for your Customers, include the customer_guid parameter in the request body.

Failure codes

CodeDescription
invalid_amountThe amount on the invoice is unprocessable
insufficient_balanceThere are insufficient funds to process the quote
invalid_invoiceThe invoice cannot be processed

Required scope: quotes:execute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string | null
enum
Defaults to trading

The type of product the quote is for.

Allowed:
string | null

The unique identifier for the bank.

string | null

The unique identifier for the customer.

integer

The amount to be received in base units of the currency: currency is "asset" for buy and "counter_asset" for sell for trade quotes.

integer

The amount to be delivered in base units of the currency: currency is "counter_asset" for buy and "asset" for sell for trade quotes.

string | null

The asset code the quote was requested for. Required when product_type is lightning_transfer, product_type is book_transfer, product_type is funding, product_type is crypto_transfer, or product_type is inter_account.

string | null

The network address to pay the invoice to. Required when product_type is lightning_transfer.

fees
array of objects | null

The custom fees associated with the quote Optional when product_type is lightning_transfer, product_type is funding, product_type is trading, product_type is crypto_transfer, or product_type is trading_exit.

fees
string | null
enum

The direction for trade quotes: either 'buy' or 'sell'. The direction for funding quotes: either 'deposit' or 'withdrawal'. The direction for crypto transfer quotes: 'withdrawal'. Book transfers do not require a side. They are all 'deposit's. Required when product_type is funding, product_type is trading, or product_type is crypto_transfer.

Allowed:
string | null

The unique identifier for the destination account. Used to determine routing-specific fees for EFT withdrawals. Required when product_type is inter_account. Optional when product_type is funding.

string | null

Symbol the quote is being requested for. Format is "asset-counter_asset" in uppercase. See the Symbols API for a complete list of cryptocurrencies supported. Required when product_type is trading.

destination_accounts
array of objects
length between 1 and 100

Destination accounts for batch transactions on UTXO-based blockchains. A single destination account is required for Base blockchain assets. Optional when product_type is crypto_transfer.

destination_accounts
string
enum
required

The type of account

Allowed:
string
required

The guid of the account

integer

The amount to be received in base units of the currency: currency is "asset" for buy and "counter_asset" for sell for trade quotes.

integer

The amount to be delivered in base units of the currency: currency is "counter_asset" for buy and "asset" for sell for trade quotes.

string | null

The guid of the related trade. Only present on exit trades. Required when product_type is trading_exit.

string | null

The source account's identifier. Required when product_type is inter_account.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json